Subject: Re: [PATCH 1/6] ipv6: use timer pending

From: Stephen Hemminger <[email-masked]>
Date: Tue, 22 Jul 2008 12:04:53 -0700

On Mon, 21 Jul 2008 16:16:15 -0700
Ben Greear <[email-masked]> wrote:

> Stephen Hemminger wrote:
> > This fixes the bridge reference count problem and cleanups ipv6 FIB timer management.
> > Don't use expires field, because it is not a proper way to test,
> > instead use timer_pending().
> 
> I patched this into my 2.6.25, and it does not seem to help
> my refcount problem.  I did not apply any of your other
> patches as it seemed they were mostly cleanups.
> 
> This is not to say that this patch is wrong...but
> it seems we'll have to keep looking for other problems
> as well.

I agree this patch is not a direct fix for the the problem. What happened
was that I was retesting on latest 2.6 net kernel and adding tracing
and checking.  In the process, the problem went away. Either
a Heisenbug or some other part of the configuration changed.